> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a manual journal entry



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json post /api/manual_adjustments/create
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /api/manual_adjustments/create:
    post:
      tags:
        - manual_adjustments
        - quanta-services-api
      summary: Create a manual journal entry
      operationId: create_manual_journal_entry
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateJournalEntryRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManualJournalEntryCreationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateJournalEntryRequest:
      properties:
        source_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Qid
          default: ''
        txn_date:
          type: string
          format: date
          title: Txn Date
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        lines:
          items:
            $ref: '#/components/schemas/JournalEntryLineModel-Input'
          type: array
          minItems: 2
          title: Lines
        manual_adjustment_private_memo:
          type: string
          minLength: 5
          title: Manual Adjustment Private Memo
        entity_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Entity Qid
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        reason_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason Type
        allow_all_dates:
          type: boolean
          title: Allow All Dates
          default: false
        proposal:
          anyOf:
            - $ref: '#/components/schemas/JournalEntryProposalSubmission'
            - type: 'null'
        reversal_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Reversal Date
        balance_account_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Balance Account Qid
      additionalProperties: false
      type: object
      required:
        - txn_date
        - description
        - lines
        - manual_adjustment_private_memo
      title: CreateJournalEntryRequest
    ManualJournalEntryCreationResponse:
      properties:
        message:
          type: string
          title: Message
        manual_adjustment_qid:
          type: string
          title: Manual Adjustment Qid
        journal_entry_qid:
          type: string
          title: Journal Entry Qid
        reversal_manual_adjustment_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Reversal Manual Adjustment Qid
        reversal_journal_entry_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Reversal Journal Entry Qid
      type: object
      required:
        - message
        - manual_adjustment_qid
        - journal_entry_qid
      title: ManualJournalEntryCreationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    JournalEntryLineModel-Input:
      properties:
        account_id:
          type: string
          title: Account Id
        amount:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        description:
          type: string
          title: Description
        department_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Department Qid
        vendor_trait_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Trait Qid
        customer_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Qid
        product_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Qid
        currency:
          $ref: '#/components/schemas/Currency'
          default: USD
        set_vendor_id_for_ap:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Set Vendor Id For Ap
        set_customer_id_for_ar:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Set Customer Id For Ar
      type: object
      required:
        - account_id
        - amount
        - description
      title: JournalEntryLineModel
    JournalEntryProposalSubmission:
      properties:
        source:
          oneOf:
            - $ref: '#/components/schemas/CloseReviewRunSourceRef'
            - $ref: '#/components/schemas/WorkTurnSourceRef'
          title: Source
          discriminator:
            propertyName: type
            mapping:
              close_review_run: '#/components/schemas/CloseReviewRunSourceRef'
              work_turn: '#/components/schemas/WorkTurnSourceRef'
        source_package_fingerprint:
          type: string
          minLength: 1
          title: Source Package Fingerprint
        client_request_id:
          type: string
          minLength: 1
          title: Client Request Id
      type: object
      required:
        - source
        - source_package_fingerprint
        - client_request_id
      title: JournalEntryProposalSubmission
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Currency:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BOV
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHE
        - CHF
        - CHW
        - CLF
        - CLP
        - CNY
        - COP
        - COU
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - IRR
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MXV
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLE
        - SLL
        - SOS
        - SRD
        - SSP
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - USN
        - UYI
        - UYU
        - UYW
        - UZS
        - VED
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XDR
        - XOF
        - XPF
        - XSU
        - XUA
        - YER
        - ZAR
        - ZMW
        - ZWL
      title: Currency
    CloseReviewRunSourceRef:
      properties:
        type:
          type: string
          const: close_review_run
          title: Type
        run_qid:
          type: string
          title: Run Qid
        decision_key:
          type: string
          title: Decision Key
        choice_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Choice Id
      additionalProperties: false
      type: object
      required:
        - type
        - run_qid
        - decision_key
      title: CloseReviewRunSourceRef
    WorkTurnSourceRef:
      properties:
        type:
          type: string
          const: work_turn
          title: Type
        execution_artifact_qid:
          type: string
          title: Execution Artifact Qid
        decision_key:
          type: string
          title: Decision Key
        choice_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Choice Id
      additionalProperties: false
      type: object
      required:
        - type
        - execution_artifact_qid
        - decision_key
      title: WorkTurnSourceRef
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.